## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csWideSparse3D Class Reference

This implementation of csSparse3D is very suited where the accesses will be very widely spaced (for example: one element at (-1000,0,0) and one at (1000,0,0)). More...

`#include <csutil/sparse3d.h>`

Inheritance diagram for csWideSparse3D:

[legend]
List of all members.

## Detailed Description

This implementation of csSparse3D is very suited where the accesses will be very widely spaced (for example: one element at (-1000,0,0) and one at (1000,0,0)).

Getting and setting elements is not as efficient as with DenseSparse3D but it consumes less memory. @@ NOTE! Current implementation is very naive. The list should be sorted to make searching at least a little more efficient.

This implementation of Sparse3D is better suited when accesses are close together. The speed of access is much better (no need to scan lists).

Definition at line 67 of file sparse3d.h.

The documentation for this class was generated from the following file:

- csutil/sparse3d.h